/* ==================================
TRUE WORSHIPERS
UPPER ROOM
================================== */

.upper-hero{

min-height:100vh;

position:relative;

display:flex;

justify-content:center;

align-items:center;

text-align:center;

background:

linear-gradient(
rgba(0,0,0,.65),
rgba(0,0,0,.80)
),

url("../images/upper-room.jpg");

background-size:cover;
background-position:center;
background-repeat:no-repeat;

overflow:hidden;

}



.overlay{

position:absolute;

top:0;

left:0;

width:100%;

height:100%;

background:rgba(0,0,0,.25);

z-index:1;

}



.upper-content{

position:relative;

z-index:2;

width:90%;

max-width:900px;

}



.upper-content h1{

font-size:70px;

color:#FFD700;

letter-spacing:6px;

margin-bottom:20px;

text-shadow:0 0 20px rgba(255,215,0,.5);

}



.upper-content h2{

font-size:30px;

margin-bottom:30px;

}



.upper-content p{

font-size:19px;

line-height:2;

max-width:700px;

margin:auto;

}



.upper-intro{

padding:100px 0;

background:#050B18;

text-align:center;

}



.upper-intro h2{

font-size:45px;

color:#FFD700;

margin-bottom:30px;

}



.upper-intro p{

max-width:850px;

margin:20px auto;

line-height:2;

font-size:18px;

}



.scripture-room{

padding:90px 0;

background:linear-gradient(
            rgba(0, 0, 0, 0.6),
            rgba(0, 0, 0, 0.78)
        ),
        url("../images/ftd.jpg");

    background-size: cover;
    background-position: center;

    position: relative;
}


text-align:center;

}



.scripture-room h2{

color:#FFD700;

margin-bottom:35px;

}



.prayer-timer{

padding:100px 0;

text-align:center;

background:

linear-gradient(
rgba(0,0,0,.75),
rgba(0,0,0,.75)
),

url("../images/prayer.jpg");

background-size:cover;

background-position:center;

}



.timer-box{

max-width:450px;

margin:auto;

padding:40px;

background:rgba(255,255,255,.05);

border:1px solid rgba(255,215,0,.5);

border-radius:25px;

backdrop-filter:blur(12px);

}



#timer{

font-size:70px;

color:#FFD700;

margin:25px 0;

}



.verse-card{

max-width:700px;

margin:auto;

padding:35px;

background:rgba(255,255,255,.05);

border:1px solid rgba(255,215,0,.35);

border-radius:20px;

}



.presence{

padding:100px 0;

text-align:center;

background:#081326;

position:relative;

overflow:hidden;

}



.presence-light{

position:absolute;

top:-150px;

left:50%;

transform:translateX(-50%);

width:500px;

height:500px;

background:radial-gradient(circle,
rgba(255,215,0,.18),
transparent 70%);

filter:blur(40px);

}



.meditation-box{

position:relative;

z-index:2;

max-width:700px;

margin:auto;

padding:40px;

border:1px solid rgba(255,215,0,.4);

border-radius:25px;

background:linear-gradient(
            rgba(0, 0, 0, 0.6),
            rgba(0, 0, 0, 0.78)
        ),
        url("../images/twcm.jpg");

    background-size: cover;
    background-position: center;

    position: relative;
}


}



.meditation-box h3{

font-size:30px;

color:#FFD700;

margin-bottom:20px;

}



/* MOBILE */

@media(max-width:768px){

.upper-content h1{

font-size:42px;

letter-spacing:3px;

}

.upper-content h